# Edit in soft/theme CVS module
%define name pcfluxboxos-theme
%define theme PCFluxboxOS
%define version 1.2.0
%define scriptdir %{_datadir}/bootsplash/scripts/
%define mdk_bg %{_datadir}/mdk/backgrounds/

%define release %mkrel 3

Summary: The default PCFluxboxOS theme for bootsplash and desktop background
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Configuration/Theme
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Prereq: bootsplash >= 3.1.10
BuildArchitectures: noarch
Provides: mandriva-theme mandrake_theme mandrake-theme mandrakelinux-theme pclinuxos-theme tinyme-theme pcfluxboxos-theme
Obsoletes: mandrake_theme mandrake-theme mandrakelinux-theme mandriva-theme pclinuxos-theme tinyme-theme
BuildRequires: lilo gimp


%description

This package contains the default bootsplash theme with its images and
configuration for different resolution as well as the lilo image and
the desktop background image.

%prep
%setup -q

%build

make THEMES=PCFluxboxOS

%install
rm -rf $RPM_BUILD_ROOT

make install prefix=$RPM_BUILD_ROOT

%post
if [ -z "$DURING_INSTALL" ]; then
  if [ -x %scriptdir/switch-themes ]; then 
    %scriptdir/switch-themes PCFluxboxOS
  fi
else
  if [ -f %_sysconfdir/sysconfig/bootsplash ]; then
    perl -pi -e 's/^\s*SPLASH=.*/SPLASH=auto/; s/^\s*THEME=.*/THEME=PCFluxboxOS/' %_sysconfdir/sysconfig/bootsplash
  fi
  ln -s PCFluxboxOS %_sysconfdir/bootsplash/themes/current
fi
if [ ! -f %mdk_bg/default.png -o -L %mdk_bg/default.png ]; then 
  rm -f %mdk_bg/default.png
  ln -s PCFluxboxOS-1600x1200.png %mdk_bg/default.png 
fi
if [ ! -f %mdk_bg/PCFluxboxOS.png -o -L %mdk_bg/PCFluxboxOS.png ]; then 
  rm -f %mdk_bg/PCFluxboxOS.png
  ln -s PCFluxboxOS-1600x1200.png %mdk_bg/PCFluxboxOS.png 
fi
if [ -f %mdk_bg/PCFluxboxOS-root.png -a ! -f %mdk_bg/root/default.png -o -L %mdk_bg/root/default.png ]; then 
  rm -f %mdk_bg/root/default.png
  ln -s PCFluxboxOS-root-1600x1200.png %mdk_bg/root/default.png 
fi
for f in kdeglobals konsolerc; do
  if [ ! -f %_datadir/config/$f ]; then
    ln -sf $f-PCFluxboxOS %_datadir/config/$f
  fi
done

%preun
if [ "$1" == "0" ]; then
if [ -x %scriptdir/remove-theme ]; then 
  %scriptdir/remove-theme PCFluxboxOS
fi 
  link=`readlink %mdk_bg/default.png`
  slink=${link:0:12}
  if [ "$slink" == "PCFluxboxOS" ]; then rm -f %mdk_bg/default.png;fi
  link=`readlink %mdk_bg/PCFluxboxOS.png`
  slink=${link:0:12}
  if [ "$slink" == "PCFluxboxOS" ]; then rm -f %mdk_bg/PCFluxboxOS.png;fi
  link=`readlink %mdk_bg/root/PCFluxboxOS.png`
  slink=${link:0:17}
  if [ "$slink" == "PCFluxboxOS-root" ]; then rm -f %mdk_bg/root/default.png;fi
  link=`readlink %_sysconfdir/bootsplash/themes/current`
  if [ "$link" == "PCFluxboxOS" ]; then rm -f %_sysconfdir/bootsplash/themes/current;fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%_datadir/config/kdeglobals-PCFluxboxOS
%_datadir/config/konsolerc-PCFluxboxOS
%_datadir/bootsplash/themes/PCFluxboxOS
%_sysconfdir/bootsplash/themes/PCFluxboxOS/*
%mdk_bg/PCFluxboxOS*

#%files screensaver
#%dir %_datadir/mdk/screensaver
#%_datadir/mdk/screensaver/*.png

%changelog
* Wed Oct 31 2007 Gettinther <gettinther@gmail.com> 1.2.0-3pclos_tinyme2007
- Minor changes

* Wed Oct 24 2007 Gettinther <gettinther@gmail.com> 1.2.0-2pclos_tinyme2007
- initial build for PCFluxboxOS 2007

* Sat Jun 30 2007 Gettinther <gettinther@gmail.com> 1.2.0-1pclos_tinyme2007
- initial build for TinyFlux 2007
